org.eclnt.jsfserver.elements.componentnodes

## Class SCREENGRABBERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.SCREENGRABBERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class SCREENGRABBERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SCREENGRABBERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SCREENGRABBERNode` | `bindActionListener(IActionListenerDelegation value)`
    `SCREENGRABBERNode` | `bindComment(IDynamicContentBindingObject value)`
    `SCREENGRABBERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `SCREENGRABBERNode` | `bindDelay(IDynamicContentBindingObject value)`
    `SCREENGRABBERNode` | `bindGrabbedimageheight(IDynamicContentBindingObject value)`
    `SCREENGRABBERNode` | `bindGrabbedimagewidth(IDynamicContentBindingObject value)`
    `SCREENGRABBERNode` | `bindGrabimmediately(IDynamicContentBindingObject value)`
    `SCREENGRABBERNode` | `bindGrabondestroy(IDynamicContentBindingObject value)`
    `SCREENGRABBERNode` | `bindGrabtoclientid(IDynamicContentBindingObject value)`
    `SCREENGRABBERNode` | `bindGrabtype(IDynamicContentBindingObject value)`
    `SCREENGRABBERNode` | `bindGrabviadialog(IDynamicContentBindingObject value)`
    `SCREENGRABBERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `SCREENGRABBERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `SCREENGRABBERNode` | `bindTrigger(IDynamicContentBindingObject value)`
    `SCREENGRABBERNode` | `setActionListener(java.lang.String value)`
    `SCREENGRABBERNode` | `setAttributemacro(java.lang.String value)`
    `SCREENGRABBERNode` | `setComment(java.lang.String value)`
    `SCREENGRABBERNode` | `setComponentbinding(java.lang.String value)`
    `SCREENGRABBERNode` | `setConfiginfo(java.lang.String value)`
    `SCREENGRABBERNode` | `setDelay(int value)`
    `SCREENGRABBERNode` | `setDelay(java.lang.String value)`
    `SCREENGRABBERNode` | `setGrabbedimageheight(java.lang.String value)`
    `SCREENGRABBERNode` | `setGrabbedimagewidth(java.lang.String value)`
    `SCREENGRABBERNode` | `setGrabimmediately(boolean value)`
    `SCREENGRABBERNode` | `setGrabimmediately(java.lang.String value)`
    `SCREENGRABBERNode` | `setGrabondestroy(boolean value)`
    `SCREENGRABBERNode` | `setGrabondestroy(java.lang.String value)`
    `SCREENGRABBERNode` | `setGrabtoclientid(java.lang.String value)`
    `SCREENGRABBERNode` | `setGrabtype(java.lang.String value)`
    `SCREENGRABBERNode` | `setGrabviadialog(boolean value)`
    `SCREENGRABBERNode` | `setGrabviadialog(java.lang.String value)`
    `SCREENGRABBERNode` | `setId(java.lang.String value)`
    `SCREENGRABBERNode` | `setReference(java.lang.String value)`
    `SCREENGRABBERNode` | `setRendered(boolean value)`
    `SCREENGRABBERNode` | `setRendered(java.lang.String value)`
    `SCREENGRABBERNode` | `setStylevariant(java.lang.String value)`
    `SCREENGRABBERNode` | `setTrigger(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SCREENGRABBERNode

          public SCREENGRABBERNode()

  - ### Method Detail

    - #### setId

          public SCREENGRABBERNode setId(java.lang.String value)

    - #### setActionListener

          public SCREENGRABBERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public SCREENGRABBERNode bindActionListener(IActionListenerDelegation value)

    - #### setAttributemacro

          public SCREENGRABBERNode setAttributemacro(java.lang.String value)

    - #### setComment

          public SCREENGRABBERNode setComment(java.lang.String value)

    - #### bindComment

          public SCREENGRABBERNode bindComment(IDynamicContentBindingObject value)

    - #### setComponentbinding

          public SCREENGRABBERNode setComponentbinding(java.lang.String value)

    - #### setConfiginfo

          public SCREENGRABBERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public SCREENGRABBERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDelay

          public SCREENGRABBERNode setDelay(java.lang.String value)

    - #### bindDelay

          public SCREENGRABBERNode bindDelay(IDynamicContentBindingObject value)

    - #### setDelay

          public SCREENGRABBERNode setDelay(int value)

    - #### setGrabbedimageheight

          public SCREENGRABBERNode setGrabbedimageheight(java.lang.String value)

    - #### bindGrabbedimageheight

          public SCREENGRABBERNode bindGrabbedimageheight(IDynamicContentBindingObject value)

    - #### setGrabbedimagewidth

          public SCREENGRABBERNode setGrabbedimagewidth(java.lang.String value)

    - #### bindGrabbedimagewidth

          public SCREENGRABBERNode bindGrabbedimagewidth(IDynamicContentBindingObject value)

    - #### setGrabimmediately

          public SCREENGRABBERNode setGrabimmediately(java.lang.String value)

    - #### bindGrabimmediately

          public SCREENGRABBERNode bindGrabimmediately(IDynamicContentBindingObject value)

    - #### setGrabimmediately

          public SCREENGRABBERNode setGrabimmediately(boolean value)

    - #### setGrabondestroy

          public SCREENGRABBERNode setGrabondestroy(java.lang.String value)

    - #### bindGrabondestroy

          public SCREENGRABBERNode bindGrabondestroy(IDynamicContentBindingObject value)

    - #### setGrabondestroy

          public SCREENGRABBERNode setGrabondestroy(boolean value)

    - #### setGrabtoclientid

          public SCREENGRABBERNode setGrabtoclientid(java.lang.String value)

    - #### bindGrabtoclientid

          public SCREENGRABBERNode bindGrabtoclientid(IDynamicContentBindingObject value)

    - #### setGrabtype

          public SCREENGRABBERNode setGrabtype(java.lang.String value)

    - #### bindGrabtype

          public SCREENGRABBERNode bindGrabtype(IDynamicContentBindingObject value)

    - #### setGrabviadialog

          public SCREENGRABBERNode setGrabviadialog(java.lang.String value)

    - #### bindGrabviadialog

          public SCREENGRABBERNode bindGrabviadialog(IDynamicContentBindingObject value)

    - #### setGrabviadialog

          public SCREENGRABBERNode setGrabviadialog(boolean value)

    - #### setReference

          public SCREENGRABBERNode setReference(java.lang.String value)

    - #### setRendered

          public SCREENGRABBERNode setRendered(java.lang.String value)

    - #### bindRendered

          public SCREENGRABBERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public SCREENGRABBERNode setRendered(boolean value)

    - #### setStylevariant

          public SCREENGRABBERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public SCREENGRABBERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTrigger

          public SCREENGRABBERNode setTrigger(java.lang.String value)

    - #### bindTrigger

          public SCREENGRABBERNode bindTrigger(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.